[jitsi-dev] Raspberry Pi and Jitsi


#1

dear all

I want to install jitsi on my raspberry pi 3b, step by step as following:

wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | sudo apt-key add -

sudo sh -c "echo 'deb https://download.jitsi.org stable/' > /etc/apt/sources.list.d/jitsi-stable.list"

sudo apt-get -y update

sudo apt-get -y install jitsi

but i failed and got error:

  The following packages have unmet dependencies:libjitsi

    Depends: libjitsi-jni(>= 2.4.4997-1.2) but it is not going to be installed ...

Does anyone build and install Jitsi on RPi successfully?

Thanks for any help.
Kan


#2

Hi,

The version 2.4.4997 doesn't look right there is no such version in
the https://download.jitsi.org stable/ repo. Also there are only x86
and amd64 packets, you running this on ARM based OS, it will not work.
And running the desktop client on Pi I don't think it will be usable
as it is low on resources, just a thought.

Regards
damencho

···

On Tue, Mar 14, 2017 at 10:55 AM, 陈毅林 <chenyilin37@126.com> wrote:

dear all

I want to install jitsi on my raspberry pi 3b, step by step as following:

wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | sudo apt-key add
-

sudo sh -c "echo 'deb https://download.jitsi.org stable/' >
/etc/apt/sources.list.d/jitsi-stable.list"

sudo apt-get -y update

sudo apt-get -y install jitsi

but i failed and got error:

  The following packages have unmet dependencies:libjitsi

    Depends: libjitsi-jni(>= 2.4.4997-1.2) but it is not going to be
installed ...

Does anyone build and install Jitsi on RPi successfully?

Thanks for any help.
Kan

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#3

Hi,

The packages we provide are not built for arm architecture, which is needed for the Pi, so you’d have to build them from source.

Cheers,

···

On Mar 14, 2017, at 16:55, 陈毅林 <chenyilin37@126.com> wrote:

dear all

I want to install jitsi on my raspberry pi 3b, step by step as following:

wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | sudo apt-key add -
sudo sh -c "echo 'deb https://download.jitsi.org stable/' > /etc/apt/sources.list.d/jitsi-stable.list"
sudo apt-get -y update
sudo apt-get -y install jitsi

but i failed and got error:

  The following packages have unmet dependencies:libjitsi

    Depends: libjitsi-jni(>= 2.4.4997-1.2) but it is not going to be installed ...

Does anyone build and install Jitsi on RPi successfully?

--
Saúl


#4

Damencho, 2.4 was in Ubuntu 14.04. Not sure in which forks this spread.

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

···

On 20 Mar 2017, at 22:39, Damian Minkov <damencho@jitsi.org> wrote:

Hi,

The version 2.4.4997 doesn't look right there is no such version in
the https://download.jitsi.org stable/ repo. Also there are only x86
and amd64 packets, you running this on ARM based OS, it will not work.
And running the desktop client on Pi I don't think it will be usable
as it is low on resources, just a thought.

Regards
damencho

On Tue, Mar 14, 2017 at 10:55 AM, 陈毅林 <chenyilin37@126.com> wrote:
dear all

I want to install jitsi on my raspberry pi 3b, step by step as following:

wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | sudo apt-key add
-

sudo sh -c "echo 'deb https://download.jitsi.org stable/' >
/etc/apt/sources.list.d/jitsi-stable.list"

sudo apt-get -y update

sudo apt-get -y install jitsi

but i failed and got error:

The following packages have unmet dependencies:libjitsi

   Depends: libjitsi-jni(>= 2.4.4997-1.2) but it is not going to be
installed ...

Does anyone build and install Jitsi on RPi successfully?

Thanks for any help.
Kan

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev